# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(Kwiki/Theme.pm) perl(Test/More.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Kwiki-Theme-JustContent
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: The Kwiki theme that renders only conent pane
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GU/GUGOD/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This theme makes your kwiki site looks not even like a wiki. It
pulls on toolbar, widgets, status, even logo.  Leaves only the
content pane.

The use of this theme would be in conjunction with a fully function
theme in the sub-view. For example.  One could configure the main
view of a kwiki to have these plugins:

   Kwiki::Theme::JustContent
   Kwiki::Display

While in the "admin" subview, add these plugins:

   +Kwiki::Edit
   +Kwiki::Revisions
   +Kwiki::Archive::Rcs
   -Kwiki::Theme::JustContent
   +Kwiki::Toolbar
   +Kwiki::Status
   +Kwiki::Widgets
   +Kwiki::Theme::Basic

For such configuration, one could have a front-end that looks like
normal web page, while the content of those pages are managed inside
admin/ subview.  It provides a very primitive start for people who
want to play Kwiki as a minimalist content-management system.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/K*

%changelog
* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

